Debian Bug report logs - #702537
improper disablement of initctl and start-stop-daemon

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Ben Howard <ben.howard@canonical.com>

Date: Thu, 7 Mar 2013 22:57:01 UTC

Severity: normal

Found in version live-build/3.0.1-1

Fixed in versions live-build/4.0~a16-1, live-build/3.0.2-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#702537; Package live-build. (Thu, 07 Mar 2013 22:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Howard <ben.howard@canonical.com>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 07 Mar 2013 22:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ben Howard <ben.howard@canonical.com>
To: submit@bugs.debian.org
Subject: improper disablement of initctl and start-stop-daemon
Date: Thu, 07 Mar 2013 15:53:47 -0700
[Message part 1 (text/plain, inline)]
Package: live-build
Version: 3.0.1-1

live-builds chroot_{upstart,dpkg} use a move/replace method to disable
initctl and start-stop-daemon. If, during the run of live-build an
update to the parent package happens, the remove stage of
chroot_{upstart,dpkg} replaces the original file instead of the updated
file. Switching to using "dpkg-divert" fixes this problem.

Candidate patch uploaded to:
https://github.com/utlemming/lb.divert/commit/483352fd9d1d9485675d0ec1f807a835dd8da96d


-- 


Ben Howard
ben.howard@canonical.com
Canonical
GPG ID 0x5406A866



[signature.asc (application/pgp-signature, attachment)]

Added tag(s) pending. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 11 Mar 2013 08:30:03 GMT) Full text and rfc822 format available.

Marked as fixed in versions live-build/4.0~a16-1. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 03 Apr 2013 05:57:04 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 03 Apr 2013 05:57:05 GMT) Full text and rfc822 format available.

Notification sent to Ben Howard <ben.howard@canonical.com>:
Bug acknowledged by developer. (Wed, 03 Apr 2013 05:57:06 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Thu, 25 Apr 2013 10:51:16 GMT) Full text and rfc822 format available.

Notification sent to Ben Howard <ben.howard@canonical.com>:
Bug acknowledged by developer. (Thu, 25 Apr 2013 10:51:16 GMT) Full text and rfc822 format available.

Message #18 received at 702537-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 702537-close@bugs.debian.org
Subject: Bug#702537: fixed in live-build 3.0.2-1
Date: Thu, 25 Apr 2013 10:47:37 +0000
Source: live-build
Source-Version: 3.0.2-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 702537@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 25 Apr 2013 12:41:54 +0200
Source: live-build
Binary: live-build live-build-cgi
Architecture: source all
Version: 3.0.2-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Live System Build Scripts
 live-build-cgi - Live System Build Scripts (CGI frontend)
Closes: 647607 648861 702537
Changes: 
 live-build (3.0.2-1) unstable; urgency=low
 .
   [ Daniel Baumann ]
   * Allowing to use parted its automatic offset handling at the beginning
     of a disk, rather than to harcode it to first block (Closes: #647607).
   * Aborting with error if hdd label has a whitespace (Closes: #648861).
   * Updating d-i suite symlink for wheezy release.
   * Correcting typo in grub2 config template.
   * Synchronise grub and grub2 splashes with internal live-build splash
     for syslinux bootloaders.
   * Removing non-existent --apt-indices none references.
   * Also showing distribution in lb config initial messages.
   * Making messages about reading system conffiles in lb config more
     accurate.
   * Harmonize handling of pre-existing gnupg dotfiles in chroot when
     handling fake signing keys for local repository.
   * Making some more debian source-selections conditional on certain image
     options.
   * Adding source_hooks for hooks on source images like already supported
     on binary images.
 .
   [ Richard Nelson ]
   * Add sanity check on config type to build for l-b-cgi.
   * Add _CGI_CONFIG_APPEND varialbe for appending options to lb config
     call on l-b-cgi frontend.
   * Change _CGI_CONFIG_APPEND to front of the lb config call on l-b-cgi
     frontend.
   * Removing quotes around _CGI_CONFIG_APPEND to handle multiple
     parameters correctly on l-b-cgi frontend.
   * Adding binary image type to config call on l-b-cgi frontend.
   * Add log information of git:://url for l-b-cgi frontend.
   * Append to log file on errors and not truncate the file on l-b-cgi
     frontend.
 .
   [ Daniel Baumann ]
   * Correcting spelling typos, thanks to Adam D. Barratt <adam@adam-
     barratt.org.uk>.
 .
   [ Raphaƫl Hertzog ]
   * Fixing win32-loader.ini by including the GTK related entries.
 .
   [ Daniel Baumann ]
   * Correcting typo directory when dereferencing syslinux symlinks when
     building chrooted, thanks to Luigi Capriotti <l.capriotti@xbmc.org>.
   * Using dpkg-divert in chroot_upstart script to handle upgrades of
     upstart during the build (Closes: #702537).
   * Using dpkg-divert for other diversions too to handle upgrades of the
     diverted stuff during build.
   * Adding generic live-build handle in chroot_dpkg for other live
     packages to act upon.
   * Updating fallback help message in live-build pseudo-command.
   * Correcting grammer error in live-build description.
   * Adding set -e in example auto scripts.
 .
   [ Richard Nelson ]
   * Converting l-b-cgi frontend to process forms with post.
 .
   [ Daniel Baumann ]
   * Cleaning up installer file locations for progress-linux.
   * Stripping out comments in package lists.
   * Updating derivatives archive-key signature validiation to look by
     default at both debian and debian-maintainers keyrings.
   * Updating bootstrap mirror for progress-linux.
Checksums-Sha1: 
 0c6211614ff468bf6fc583634615d4d77e111c5a 1315 live-build_3.0.2-1.dsc
 1997f9db87d78dc73085259b97b302bc4abe2bb4 163316 live-build_3.0.2.orig.tar.xz
 3d74f8215977cea8daff0687c2ebbbf0256fc1a1 52128 live-build_3.0.2-1.debian.tar.xz
 2378ed16be8f187bf467b4c23d8f944868dff816 211656 live-build_3.0.2-1_all.deb
 64df26e41e5dacef43cbc915e7408e182fc4343c 76994 live-build-cgi_3.0.2-1_all.deb
Checksums-Sha256: 
 d9d35ab75037d64a3a634f730b7b507682607828ccb326583a051789c183de24 1315 live-build_3.0.2-1.dsc
 5c264f718999cff1e29507365df4373542b334385a88efaa979137e8e118a6c9 163316 live-build_3.0.2.orig.tar.xz
 22c89f823fceb2f4b0afa567e217d1ac0310ca7ecb07ab75c90739b2327b3c13 52128 live-build_3.0.2-1.debian.tar.xz
 098154a635b18b44f13a72f437aec7ee389ff63949dddd6e1a75d0aabe94b8e7 211656 live-build_3.0.2-1_all.deb
 f1c7e59207af13a8f0a5d2d2a6e43c47eb22fcd54c2fd6acbd7c8f40517a771d 76994 live-build-cgi_3.0.2-1_all.deb
Files: 
 44b4fe4783e1cd302ee42ea45fe11fba 1315 misc optional live-build_3.0.2-1.dsc
 93f4d6277839683e0d3c19d59a4b6c93 163316 misc optional live-build_3.0.2.orig.tar.xz
 13ae530f3e31b512c85f40b160c5a485 52128 misc optional live-build_3.0.2-1.debian.tar.xz
 62dcd49ffcb47d6581c5a97d7bb24f01 211656 misc optional live-build_3.0.2-1_all.deb
 2365b627f2aac5a2454a75a395428e3f 76994 misc optional live-build-cgi_3.0.2-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlF5CU8ACgkQ+C5cwEsrK55fMACeLSqU5bEHJlUrYMoUpcnQMLM8
QiAAn1+TT6//uK72Mb1Spvx0chOxNm+y
=ocYY
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 24 May 2013 07:27:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:33:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.